package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsAlarmRecords;
import com.xzzn.ems.domain.vo.AlarmTrendList;
import com.xzzn.ems.domain.vo.DeviceAlarmProportionList;
import com.xzzn.ems.domain.vo.SiteMonitorHomeAlarmVo;

/**
 * 告警记录Mapper接口
 *
 * @author xzzn
 * @date 2025-06-17
 */
public interface EmsAlarmRecordsMapper
{
    /**
     * 查询告警记录
     *
     * @param id 告警记录主键
     * @return 告警记录
     */
    public EmsAlarmRecords selectEmsAlarmRecordsById(Long id);

    /**
     * 查询告警记录列表
     *
     * @param emsAlarmRecords 告警记录
     * @return 告警记录集合
     */
    public List<EmsAlarmRecords> selectEmsAlarmRecordsList(EmsAlarmRecords emsAlarmRecords);

    /**
     * 新增告警记录
     *
     * @param emsAlarmRecords 告警记录
     * @return 结果
     */
    public int insertEmsAlarmRecords(EmsAlarmRecords emsAlarmRecords);

    /**
     * 修改告警记录
     *
     * @param emsAlarmRecords 告警记录
     * @return 结果
     */
    public int updateEmsAlarmRecords(EmsAlarmRecords emsAlarmRecords);

    /**
     * 删除告警记录
     *
     * @param id 告警记录主键
     * @return 结果
     */
    public int deleteEmsAlarmRecordsById(Long id);

    /**
     * 批量删除告警记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsAlarmRecordsByIds(Long[] ids);

    /**
     * 根据站点id获取告警记录
     *
     */
    public List<SiteMonitorHomeAlarmVo> getAlarmRecordsBySiteId(Long siteId);

    /**
     * 获取告警趋势数据
     *
     */
    public List<AlarmTrendList> getAlarmTrendList();

    /**
     * 获取设备告警占比
     *
     */
    public List<DeviceAlarmProportionList> getDeviceAlarmPropList();
}
